Skip to main content
GET
Get Destination

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128

Path Parameters

workspace_id
string
required

Unique workspace ID.

Example:

"ws_01JABCDEF"

destination_id
string
required

Unique destination ID.

Example:

"dest_01JABCDEF"

Response

The requested destination.

id
string
required

Unique destination ID.

Example:

"dest_01JABCDEF"

object
string
required

Object type.

Allowed value: "destination"
channel
enum<string>
required

Channel that receives posts for this destination.

Available options:
bluesky,
facebook,
instagram,
threads,
mastodon,
x,
linkedin,
tiktok,
youtube
Example:

"x"

display_name
string | null
required

Provider account or page name.

Example:

"@openpmm"

status
enum<string>
required

Current publishing status. Only ready destinations accept posts.

Available options:
ready,
disabled,
reauthorization-required,
unavailable
unavailable_reason
enum<string> | null
required

Reason the destination cannot accept posts. This value is null when the status is ready or disabled.

Available options:
reauthorization_required,
provider_identity_missing,
provider_error
is_default
boolean
required

Whether new posts for this channel use this destination by default.

provider_origin
string<uri> | null
required

Provider origin. Mastodon destinations use the instance origin.

external_id
string | null
required

Provider account or page ID.

Example:

"1844029112345678901"

connected_at
string<date-time> | null
required

Time when the provider connection was created.

Example:

"2026-08-09T12:00:00.000Z"

expires_at
string<date-time> | null
required

Time when the current provider access expires.

Example:

"2026-08-09T12:00:00.000Z"

capabilities
object
required

Publishing limits for this destination.

version
integer
required

Version used to update the destination with an ETag.

Required range: x >= 0
queue_policy
object
required

Weekly queue windows for this destination.